- only build documentation in maintainer-mode, include prebuilt manuals
authorpmatilai <pmatilai>
Mon, 29 May 2006 16:36:31 +0000 (16:36 +0000)
committerpmatilai <pmatilai>
Mon, 29 May 2006 16:36:31 +0000 (16:36 +0000)
  in distribution tarball (Ralf)

configure
configure.in
doc/Makefile.am
doc/Makefile.in
doc/apt-cache.8 [new file with mode: 0644]
doc/apt-cdrom.8 [new file with mode: 0644]
doc/apt-config.8 [new file with mode: 0644]
doc/apt-get.8 [new file with mode: 0644]
doc/apt_preferences.5 [new file with mode: 0644]
doc/sources.list.5 [new file with mode: 0644]
doc/vendors.list.5 [new file with mode: 0644]

index bcf0c5c..667d98a 100755 (executable)
--- a/configure
+++ b/configure
@@ -1052,7 +1052,6 @@ Optional Features:
   --disable-libtool-lock  avoid locking (might break parallel builds)
   --disable-scripts       disable the extension system
   --enable-static-progs   Build completely static (standalone) binaries.
-  --disable-docs          do not compile documentation
   --disable-nls           do not use Native Language Support
   --disable-rpath         do not hardcode runtime library paths
 
@@ -3728,7 +3727,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 3731 "configure"' > conftest.$ac_ext
+  echo '#line 3730 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -5327,7 +5326,7 @@ fi
 
 
 # Provide some information about the compiler.
-echo "$as_me:5330:" \
+echo "$as_me:5329:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -6390,11 +6389,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6393: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6392: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6397: \$? = $ac_status" >&5
+   echo "$as_me:6396: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -6658,11 +6657,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6661: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6660: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6665: \$? = $ac_status" >&5
+   echo "$as_me:6664: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -6762,11 +6761,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6765: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6764: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:6769: \$? = $ac_status" >&5
+   echo "$as_me:6768: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -8231,7 +8230,7 @@ linux*)
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 8234 "configure"' > conftest.$ac_ext
+    echo '#line 8233 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -9128,7 +9127,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 9131 "configure"
+#line 9130 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -9228,7 +9227,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 9231 "configure"
+#line 9230 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11568,11 +11567,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11571: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11570: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:11575: \$? = $ac_status" >&5
+   echo "$as_me:11574: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -11672,11 +11671,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11675: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11674: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:11679: \$? = $ac_status" >&5
+   echo "$as_me:11678: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12208,7 +12207,7 @@ linux*)
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 12211 "configure"' > conftest.$ac_ext
+    echo '#line 12210 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -13263,11 +13262,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13266: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13265: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13270: \$? = $ac_status" >&5
+   echo "$as_me:13269: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -13367,11 +13366,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13370: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13369: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13374: \$? = $ac_status" >&5
+   echo "$as_me:13373: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14816,7 +14815,7 @@ linux*)
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 14819 "configure"' > conftest.$ac_ext
+    echo '#line 14818 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -15591,11 +15590,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15594: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15593: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15598: \$? = $ac_status" >&5
+   echo "$as_me:15597: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -15859,11 +15858,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15862: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15861: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15866: \$? = $ac_status" >&5
+   echo "$as_me:15865: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -15963,11 +15962,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15966: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15965: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:15970: \$? = $ac_status" >&5
+   echo "$as_me:15969: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -17432,7 +17431,7 @@ linux*)
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 17435 "configure"' > conftest.$ac_ext
+    echo '#line 17434 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -24280,25 +24279,23 @@ else
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:$LINENO: checking for --disable-docs" >&5
-echo $ECHO_N "checking for --disable-docs... $ECHO_C" >&6
-# Check whether --enable-docs or --disable-docs was given.
-if test "${enable_docs+set}" = set; then
-  enableval="$enable_docs"
-  enable_docs="$enableval"
-else
-  enable_docs="yes"
-fi;
-if test "$enable_docs" != "no"; then
-       echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-else
-       echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
+if test "$USE_MAINTAINER_MODE" = yes; then
+
+  if test -z "$DOCBOOK2MAN"; then
+  { echo "$as_me:$LINENO: WARNING: docbook2man is missing, not rebuilding man pages" >&5
+echo "$as_me: WARNING: docbook2man is missing, not rebuilding man pages" >&2;}
+
+fi
+
+
 fi
 
+# Only rebuild the man pages in maintainer mode
+
 
-if test -n "$DOCBOOK2MAN" -a "$enable_docs" != "no"; then
+if
+  test -n "$DOCBOOK2MAN" \
+  && test "$USE_MAINTAINER_MODE" = yes; then
   COMPILE_MANPAGES_TRUE=
   COMPILE_MANPAGES_FALSE='#'
 else
@@ -24333,7 +24330,7 @@ do
 done
 done
 
-  test -z "$ac_cv_path_GPG" && ac_cv_path_GPG=""/usr/bin/gpg""
+  test -z "$ac_cv_path_GPG" && ac_cv_path_GPG="/usr/bin/gpg"
   ;;
 esac
 fi
index baddb3e..faabb80 100644 (file)
@@ -223,20 +223,18 @@ dnl AC_PATH_PROG(DEBIANDOC_HTML,debiandoc2html)
 dnl AC_PATH_PROG(DEBIANDOC_TEXT,debiandoc2text)
 
 dnl Check for the SGML tools needed to build man pages
-AC_PATH_PROG(DOCBOOK2MAN,docbook2man)
-AC_MSG_CHECKING([for --disable-docs])
-AC_ARG_ENABLE([docs],
-             AC_HELP_STRING([--disable-docs],
-                            [do not compile documentation]),
-             [enable_docs="$enableval"], [enable_docs="yes"])
-if test "$enable_docs" != "no"; then
-       AC_MSG_RESULT(no)
-else
-       AC_MSG_RESULT(yes)
-fi
-AM_CONDITIONAL(COMPILE_MANPAGES, test -n "$DOCBOOK2MAN" -a "$enable_docs" != "no")
+AC_PATH_PROG([DOCBOOK2MAN],[docbook2man])
+AS_IF([test "$USE_MAINTAINER_MODE" = yes],[
+  AS_IF([test -z "$DOCBOOK2MAN"],
+    [AC_MSG_WARN([docbook2man is missing, not rebuilding man pages])
+    ])
+])
+# Only rebuild the man pages in maintainer mode
+AM_CONDITIONAL([COMPILE_MANPAGES],[
+  test -n "$DOCBOOK2MAN" \
+  && test "$USE_MAINTAINER_MODE" = yes])
 
-AC_PATH_PROG(GPG,gpg,"/usr/bin/gpg")
+AC_PATH_PROG([GPG],[gpg],[/usr/bin/gpg])
 
 AM_GNU_GETTEXT_VERSION([0.14.5])
 AM_GNU_GETTEXT([external])
index 92e935f..9bf2108 100644 (file)
@@ -1,23 +1,80 @@
-all-local: docs
-clean-local: clean-docs
+dist_man_MANS = apt.8
+MAINTAINERCLEANFILES =
+EXTRA_DIST =
 
-STATIC_MANPAGES = \
-               apt.8
-SGML_MANPAGES = \
-               apt-get.8 \
-               apt-cache.8 \
-               apt-cdrom.8 \
-               apt-config.8 \
-               apt.conf.5 \
-               sources.list.5 \
-               vendors.list.5 \
-               apt_preferences.5
+EXTRA_DIST += apt-cache.8.sgml
+dist_man_MANS += apt-cache.8
+if COMPILE_MANPAGES
+apt-cache.8: apt-cache.8.sgml apt.ent
+       (cd $(srcdir) && $(DOCBOOK2MAN) apt-cache.8.sgml)
+       @rm -f $(srcdir)/manpage.*
+endif
+MAINTAINERCLEANFILES += apt-cache.8
+
+EXTRA_DIST += apt-cdrom.8.sgml
+dist_man_MANS += apt-cdrom.8
+if COMPILE_MANPAGES
+apt-cdrom.8: apt-cdrom.8.sgml apt.ent
+       (cd $(srcdir) && $(DOCBOOK2MAN) apt-cdrom.8.sgml)
+       @rm -f $(srcdir)/manpage.*
+endif
+MAINTAINERCLEANFILES += apt-cdrom.8
+
+EXTRA_DIST += apt.conf.5.sgml
+dist_man_MANS += apt.conf.5
+if COMPILE_MANPAGES
+apt.conf.5: apt.conf.5.sgml apt.ent
+       (cd $(srcdir) && $(DOCBOOK2MAN) apt.conf.5.sgml)
+       @rm -f $(srcdir)/manpage.*
+endif
+MAINTAINERCLEANFILES += apt.conf.5
+
+EXTRA_DIST += apt-config.8.sgml
+dist_man_MANS += apt-config.8
+if COMPILE_MANPAGES
+apt-config.8: apt-config.8.sgml apt.ent
+       (cd $(srcdir) && $(DOCBOOK2MAN) apt-config.8.sgml)
+       @rm -f $(srcdir)/manpage.*
+endif
+MAINTAINERCLEANFILES += apt-config.8
+
+EXTRA_DIST += apt-get.8.sgml
+dist_man_MANS += apt-get.8
+if COMPILE_MANPAGES
+apt-get.8: apt-get.8.sgml apt.ent
+       (cd $(srcdir) && $(DOCBOOK2MAN) apt-get.8.sgml)
+       @rm -f $(srcdir)/manpage.*
+endif
+MAINTAINERCLEANFILES += apt-get.8
+
+EXTRA_DIST += apt_preferences.5.sgml
+dist_man_MANS += apt_preferences.5
+if COMPILE_MANPAGES
+apt_preferences.5: apt_preferences.5.sgml apt.ent
+       (cd $(srcdir) && $(DOCBOOK2MAN) apt_preferences.5.sgml)
+       @rm -f $(srcdir)/manpage.*
+endif
+MAINTAINERCLEANFILES += apt_preferences.5
+
+EXTRA_DIST += sources.list.5.sgml
+dist_man_MANS += sources.list.5
+if COMPILE_MANPAGES
+sources.list.5: sources.list.5.sgml apt.ent
+       (cd $(srcdir) && $(DOCBOOK2MAN) sources.list.5.sgml)
+       @rm -f $(srcdir)/manpage.*
+endif
+MAINTAINERCLEANFILES += sources.list.5
 
+EXTRA_DIST += vendors.list.5.sgml
+dist_man_MANS += vendors.list.5
+if COMPILE_MANPAGES
+vendors.list.5: vendors.list.5.sgml apt.ent
+       (cd $(srcdir) && $(DOCBOOK2MAN) vendors.list.5.sgml)
+       @rm -f $(srcdir)/manpage.*
+endif
+MAINTAINERCLEANFILES += vendors.list.5
 
-EXTRA_DIST = \
-               $(STATIC_MANPAGES) \
-               $(patsubst %,%.sgml, \
-               $(SGML_MANPAGES)) \
+EXTRA_DIST += \
                apt.ent \
                style.txt \
                cache.sgml \
@@ -57,21 +114,3 @@ EXTRA_DIST = \
                pt_BR/apt.ent.pt_BR \
                pt_BR/apt_preferences.pt_BR.5.sgml \
                pt_BR/makefile
-
-CLEANFILES = manpage.links manpage.refs
-
-if COMPILE_MANPAGES
-man_MANS = $(STATIC_MANPAGES) $(SGML_MANPAGES)
-
-docs: $(man_MANS)
-
-%: %.sgml apt.ent
-       @echo Creating man page $@
-       @$(DOCBOOK2MAN) $<
-else
-docs:
-endif
-
-clean-docs:
-       rm -f $(SGML_MANPAGES)
-
index 69a927f..f0b1e30 100644 (file)
@@ -36,7 +36,8 @@ POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
 subdir = doc
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.am \
+       $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/buildlib/tools.m4 \
        $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
@@ -55,7 +56,7 @@ man5dir = $(mandir)/man5
 am__installdirs = "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(man8dir)"
 man8dir = $(mandir)/man8
 NROFF = nroff
-MANS = $(man_MANS)
+MANS = $(dist_man_MANS)
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMDEP_FALSE = @AMDEP_FALSE@
@@ -191,65 +192,29 @@ sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
-STATIC_MANPAGES = \
-               apt.8
-
-SGML_MANPAGES = \
-               apt-get.8 \
-               apt-cache.8 \
-               apt-cdrom.8 \
-               apt-config.8 \
-               apt.conf.5 \
-               sources.list.5 \
-               vendors.list.5 \
-               apt_preferences.5
-
-EXTRA_DIST = \
-               $(STATIC_MANPAGES) \
-               $(patsubst %,%.sgml, \
-               $(SGML_MANPAGES)) \
-               apt.ent \
-               style.txt \
-               cache.sgml \
-               files.sgml \
-               guide.sgml \
-               offline.sgml \
-               design.sgml \
-               guide.it.sgml \
-               method.sgml \
-               examples/apt.conf \
-               examples/configure-index \
-               examples/sources.list \
-               fr/apt-cache.fr.8.sgml \
-               fr/apt-cdrom.fr.8.sgml \
-               fr/apt-config.fr.8.sgml \
-               fr/apt-extracttemplates.fr.1.sgml \
-               fr/apt-ftparchive.fr.1.sgml \
-               fr/apt-get.fr.8.sgml \
-               fr/apt-sortpkgs.fr.1.sgml \
-               fr/apt.conf.fr.5.sgml \
-               fr/apt.ent.fr \
-               fr/apt_preferences.fr.5.sgml \
-               fr/makefile \
-               fr/sources.list.fr.5.sgml \
-               fr/vendors.list.fr.5.sgml \
-               es/apt-cache.es.8.sgml \
-               es/apt-cdrom.es.8.sgml \
-               es/apt-config.es.8.sgml \
-               es/apt-get.es.8.sgml \
-               es/apt.conf.es.5.sgml \
-               es/apt.ent.es \
-               es/apt.es.8 \
-               es/apt_preferences.es.5.sgml \
-               es/makefile \
-               es/sources.list.es.5.sgml \
-               es/vendors.list.es.5.sgml \
-               pt_BR/apt.ent.pt_BR \
-               pt_BR/apt_preferences.pt_BR.5.sgml \
-               pt_BR/makefile
-
-CLEANFILES = manpage.links manpage.refs
-@COMPILE_MANPAGES_TRUE@man_MANS = $(STATIC_MANPAGES) $(SGML_MANPAGES)
+dist_man_MANS = apt.8 apt-cache.8 apt-cdrom.8 apt.conf.5 apt-config.8 \
+       apt-get.8 apt_preferences.5 sources.list.5 vendors.list.5
+MAINTAINERCLEANFILES = apt-cache.8 apt-cdrom.8 apt.conf.5 apt-config.8 \
+       apt-get.8 apt_preferences.5 sources.list.5 vendors.list.5
+EXTRA_DIST = apt-cache.8.sgml apt-cdrom.8.sgml apt.conf.5.sgml \
+       apt-config.8.sgml apt-get.8.sgml apt_preferences.5.sgml \
+       sources.list.5.sgml vendors.list.5.sgml apt.ent style.txt \
+       cache.sgml files.sgml guide.sgml offline.sgml design.sgml \
+       guide.it.sgml method.sgml examples/apt.conf \
+       examples/configure-index examples/sources.list \
+       fr/apt-cache.fr.8.sgml fr/apt-cdrom.fr.8.sgml \
+       fr/apt-config.fr.8.sgml fr/apt-extracttemplates.fr.1.sgml \
+       fr/apt-ftparchive.fr.1.sgml fr/apt-get.fr.8.sgml \
+       fr/apt-sortpkgs.fr.1.sgml fr/apt.conf.fr.5.sgml fr/apt.ent.fr \
+       fr/apt_preferences.fr.5.sgml fr/makefile \
+       fr/sources.list.fr.5.sgml fr/vendors.list.fr.5.sgml \
+       es/apt-cache.es.8.sgml es/apt-cdrom.es.8.sgml \
+       es/apt-config.es.8.sgml es/apt-get.es.8.sgml \
+       es/apt.conf.es.5.sgml es/apt.ent.es es/apt.es.8 \
+       es/apt_preferences.es.5.sgml es/makefile \
+       es/sources.list.es.5.sgml es/vendors.list.es.5.sgml \
+       pt_BR/apt.ent.pt_BR pt_BR/apt_preferences.pt_BR.5.sgml \
+       pt_BR/makefile
 all: all-am
 
 .SUFFIXES:
@@ -419,7 +384,7 @@ distdir: $(DISTFILES)
        done
 check-am: all-am
 check: check-am
-all-am: Makefile $(MANS) all-local
+all-am: Makefile $(MANS)
 installdirs:
        for dir in "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(man8dir)"; do \
          test -z "$$dir" || $(mkdir_p) "$$dir"; \
@@ -441,7 +406,6 @@ install-strip:
 mostlyclean-generic:
 
 clean-generic:
-       -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
 
 distclean-generic:
        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
@@ -449,9 +413,10 @@ distclean-generic:
 maintainer-clean-generic:
        @echo "This command is intended for maintainers to use"
        @echo "it deletes files that may require special tools to rebuild."
+       -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
 clean: clean-am
 
-clean-am: clean-generic clean-libtool clean-local mostlyclean-am
+clean-am: clean-generic clean-libtool mostlyclean-am
 
 distclean: distclean-am
        -rm -f Makefile
@@ -497,29 +462,41 @@ uninstall-am: uninstall-info-am uninstall-man
 
 uninstall-man: uninstall-man5 uninstall-man8
 
-.PHONY: all all-am all-local check check-am clean clean-generic \
-       clean-libtool clean-local distclean distclean-generic \
-       distclean-libtool distdir dvi dvi-am html html-am info info-am \
-       install install-am install-data install-data-am install-exec \
-       install-exec-am install-info install-info-am install-man \
-       install-man5 install-man8 install-strip installcheck \
-       installcheck-am installdirs maintainer-clean \
-       maintainer-clean-generic mostlyclean mostlyclean-generic \
-       mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
-       uninstall-info-am uninstall-man uninstall-man5 uninstall-man8
-
-all-local: docs
-clean-local: clean-docs
-
-@COMPILE_MANPAGES_TRUE@docs: $(man_MANS)
-
-@COMPILE_MANPAGES_TRUE@%: %.sgml apt.ent
-@COMPILE_MANPAGES_TRUE@        @echo Creating man page $@
-@COMPILE_MANPAGES_TRUE@        @$(DOCBOOK2MAN) $<
-@COMPILE_MANPAGES_FALSE@docs:
-
-clean-docs:
-       rm -f $(SGML_MANPAGES)
+.PHONY: all all-am check check-am clean clean-generic clean-libtool \
+       distclean distclean-generic distclean-libtool distdir dvi \
+       dvi-am html html-am info info-am install install-am \
+       install-data install-data-am install-exec install-exec-am \
+       install-info install-info-am install-man install-man5 \
+       install-man8 install-strip installcheck installcheck-am \
+       installdirs maintainer-clean maintainer-clean-generic \
+       mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
+       ps ps-am uninstall uninstall-am uninstall-info-am \
+       uninstall-man uninstall-man5 uninstall-man8
+
+@COMPILE_MANPAGES_TRUE@apt-cache.8: apt-cache.8.sgml apt.ent
+@COMPILE_MANPAGES_TRUE@        (cd $(srcdir) && $(DOCBOOK2MAN) apt-cache.8.sgml)
+@COMPILE_MANPAGES_TRUE@        @rm -f $(srcdir)/manpage.*
+@COMPILE_MANPAGES_TRUE@apt-cdrom.8: apt-cdrom.8.sgml apt.ent
+@COMPILE_MANPAGES_TRUE@        (cd $(srcdir) && $(DOCBOOK2MAN) apt-cdrom.8.sgml)
+@COMPILE_MANPAGES_TRUE@        @rm -f $(srcdir)/manpage.*
+@COMPILE_MANPAGES_TRUE@apt.conf.5: apt.conf.5.sgml apt.ent
+@COMPILE_MANPAGES_TRUE@        (cd $(srcdir) && $(DOCBOOK2MAN) apt.conf.5.sgml)
+@COMPILE_MANPAGES_TRUE@        @rm -f $(srcdir)/manpage.*
+@COMPILE_MANPAGES_TRUE@apt-config.8: apt-config.8.sgml apt.ent
+@COMPILE_MANPAGES_TRUE@        (cd $(srcdir) && $(DOCBOOK2MAN) apt-config.8.sgml)
+@COMPILE_MANPAGES_TRUE@        @rm -f $(srcdir)/manpage.*
+@COMPILE_MANPAGES_TRUE@apt-get.8: apt-get.8.sgml apt.ent
+@COMPILE_MANPAGES_TRUE@        (cd $(srcdir) && $(DOCBOOK2MAN) apt-get.8.sgml)
+@COMPILE_MANPAGES_TRUE@        @rm -f $(srcdir)/manpage.*
+@COMPILE_MANPAGES_TRUE@apt_preferences.5: apt_preferences.5.sgml apt.ent
+@COMPILE_MANPAGES_TRUE@        (cd $(srcdir) && $(DOCBOOK2MAN) apt_preferences.5.sgml)
+@COMPILE_MANPAGES_TRUE@        @rm -f $(srcdir)/manpage.*
+@COMPILE_MANPAGES_TRUE@sources.list.5: sources.list.5.sgml apt.ent
+@COMPILE_MANPAGES_TRUE@        (cd $(srcdir) && $(DOCBOOK2MAN) sources.list.5.sgml)
+@COMPILE_MANPAGES_TRUE@        @rm -f $(srcdir)/manpage.*
+@COMPILE_MANPAGES_TRUE@vendors.list.5: vendors.list.5.sgml apt.ent
+@COMPILE_MANPAGES_TRUE@        (cd $(srcdir) && $(DOCBOOK2MAN) vendors.list.5.sgml)
+@COMPILE_MANPAGES_TRUE@        @rm -f $(srcdir)/manpage.*
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
 .NOEXPORT:
diff --git a/doc/apt-cache.8 b/doc/apt-cache.8
new file mode 100644 (file)
index 0000000..4d6398c
--- /dev/null
@@ -0,0 +1,319 @@
+.\" This manpage has been automatically generated by docbook2man 
+.\" from a DocBook document.  This tool can be found at:
+.\" <http://shell.ipoline.com/~elmert/comp/docbook2X/> 
+.\" Please send any bug reports, improvements, comments, patches, 
+.\" etc. to Steve Cheng <steve@ggi-project.org>.
+.TH "APT-CACHE" "8" "29 May 2006" "" ""
+
+.SH NAME
+apt-cache \- APT package handling utility -- cache manipulator
+.SH SYNOPSIS
+
+\fBapt-cache\fR [ \fB-hvsn\fR ] [ \fB-o=\fIconfig string\fB\fR ] [ \fB-c=\fIfile\fB\fR ] { \fBadd  \fIfile\fB\fI ...\fB\fR | \fBgencaches\fR | \fBshowpkg  \fIpkg\fB\fI ...\fB\fR | \fBshowsrc  \fIpkg\fB\fI ...\fB\fR | \fBstats\fR | \fBdump\fR | \fBdumpavail\fR | \fBunmet\fR | \fBsearch  \fIregex\fB\fR | \fBshow  \fIpkg\fB\fI ...\fB\fR | \fBdepends  \fIpkg\fB\fI ...\fB\fR | \fBwhatdepends  \fIpkg\fB\fI ...\fB\fR | \fBpkgnames  \fIprefix\fB\fR | \fBdotty  \fIpkg\fB\fI ...\fB\fR | \fBpolicy  \fIpkgs\fB\fI ...\fB\fR }
+
+.SH "DESCRIPTION"
+.PP
+\fBapt-cache\fR performs a variety of operations on APT's package 
+cache. \fBapt-cache\fR does not manipulate the state of the system 
+but does provide operations to search and generate interesting output 
+from the package metadata.
+.PP
+Unless the \fB-h\fR, or \fB--help\fR option is given, one of the
+commands below must be present.
+.TP
+\fBadd \fIfile(s)\fB\fR
+add adds the named package index files to the package cache.
+This is for debugging only.
+.TP
+\fBgencaches\fR
+gencaches performs the same operation as 
+\fBapt-get check\fR\&. It builds the source and package caches from 
+the sources in \fB\fIsources.list\fB\fR(5) and from \fI/var/lib/rpm/\fR\&.
+.TP
+\fBshowpkg \fIpkg(s)\fB\fR
+showpkg displays information about the packages listed on the 
+command line. Remaining arguments are package names. The available 
+versions and reverse dependencies of each package listed are listed, as 
+well as forward dependencies for each version. Forward (normal) 
+dependencies are those packages upon which the package in question 
+depends; reverse dependencies are those packages that depend upon the 
+package in question. Thus, forward dependencies must be satisfied for a 
+package, but reverse dependencies need not be.
+For instance, \fBapt-cache showpkg libreadline2\fR would produce 
+output similar to the following:
+
+
+.nf
+Package: libreadline2
+Versions: 2.1-12(/var/lib/apt/lists/foo_Packages),
+Reverse Depends: 
+  libreadlineg2,libreadline2
+  libreadline2-altdev,libreadline2
+Dependencies:
+2.1-12 - libc5 (2 5.4.0-0) ncurses3.0 (0 (null))
+Provides:
+2.1-12 - 
+Reverse Provides: 
+.fi
+
+Thus it may be seen that libreadline2, version 2.1-12, depends on libc5 and
+ncurses3.0 which must be installed for libreadline2 to work. 
+In turn, libreadlineg2 and libreadline2-altdev depend on libreadline2. If
+libreadline2 is installed, libc5 and ncurses3.0 (and ldso) must also be
+installed; libreadlineg2 and libreadline2-altdev do not have to be
+installed. For the specific meaning of the remainder of the output it
+is best to consult the apt source code.
+.TP
+\fBstats\fR
+stats displays some statistics about the cache.
+No further arguments are expected. Statistics reported are:
+.RS
+.TP 0.2i
+\(bu
+Total package names is the number of package names found 
+in the cache.
+.TP 0.2i
+\(bu
+Normal packages is the number of regular, ordinary package 
+names; these are packages that bear a one-to-one correspondence between 
+their names and the names used by other packages for them in 
+dependencies. The majority of packages fall into this category.
+.TP 0.2i
+\(bu
+Pure virtual packages is the number of packages that exist 
+only as a virtual package name; that is, packages only "provide" the 
+virtual package name, and no package actually uses the name. For 
+instance, "mail-transport-agent" in the Debian GNU/Linux system is a 
+pure virtual package; several packages provide "mail-transport-agent", 
+but there is no package named "mail-transport-agent".
+.TP 0.2i
+\(bu
+Single virtual packages is the number of packages with only 
+one package providing a particular virtual package. For example, in the
+Debian GNU/Linux system, "X11-text-viewer" is a virtual package, but 
+only one package, xless, provides "X11-text-viewer".
+.TP 0.2i
+\(bu
+Mixed virtual packages is the number of packages that either 
+provide a particular virtual package or have the virtual package name 
+as the package name. For instance, in the Debian GNU/Linux system, 
+"debconf" is both an actual package, and provided by the debconf-tiny
+package.
+.TP 0.2i
+\(bu
+Missing is the number of package names that were referenced in
+a dependency but were not provided by any package. Missing packages may 
+be in evidence if a full distribution is not accessed, or if a package
+(real or virtual) has been dropped from the distribution. Usually they
+are referenced from Conflicts statements.
+.TP 0.2i
+\(bu
+Total distinct versions is the number of package versions 
+found in the cache; this value is therefore at least equal to the 
+number of total package names. If more than one distribution (both 
+"stable" and "unstable", for instance), is being accessed, this value 
+can be considerably larger than the number of total package names.
+.TP 0.2i
+\(bu
+Total dependencies is the number of dependency relationships 
+claimed by all of the packages in the cache.
+.RE
+.TP
+\fBshowsrc \fIpkg(s)\fB\fR
+showsrc displays all the source package records that match
+the given package names. All versions are shown, as well as all 
+records that declare the name to be a Binary.
+.TP
+\fBdump\fR
+dump shows a short listing of every package in the cache. It is 
+primarily for debugging.
+.TP
+\fBdumpavail\fR
+dumpavail prints out an available list to stdout.
+.TP
+\fBunmet\fR
+unmet displays a summary of all unmet dependencies in the 
+package cache.
+.TP
+\fBshow \fIpkg(s)\fB\fR
+Displays the package records for the named packages.
+.TP
+\fBsearch \fIregex [ regex ... ]\fB\fR
+search performs a full text search on all available package
+lists for the regex pattern given. It searches the package names and the
+descriptions for an occurrence of the regular expression and prints out
+the package name and the short description. If \fB--full\fR is given
+then output identical to show is produced for each matched
+package, and if \fB--names-only\fR is given then the long description
+is not searched, only the package name is.
+
+Separate arguments can be used to specify multiple search patterns that 
+are and'ed together.
+.TP
+\fBdepends \fIpkg(s)\fB\fR
+depends shows a listing of each dependency a package has 
+and all the possible other packages that can fulfill that dependency.
+.TP
+\fBwhatdepends \fIpkg(s)\fB\fR
+whatdepends shows a listing of what depends on a package.
+.TP
+\fBwhatprovides \fIpkg(s)\fB\fR
+whatprovides shows a listing of package which provides a
+dependency.
+.TP
+\fBpkgnames \fI[ prefix ]\fB\fR
+This command prints the name of each package in the system. The optional
+argument is a prefix match to filter the name list. The output is suitable
+for use in a shell tab complete function and the output is generated 
+extremely quickly. This command is best used with the 
+\fB--generate\fR option.
+.TP
+\fBdotty \fIpkg(s)\fB\fR
+dotty takes a list of packages on the command line and 
+generates output suitable for use by dotty from the 
+GraphViz <URL:http://www.research.att.com/sw/tools/graphviz/>
+package. The result will be a set of nodes and edges representing the 
+relationships between the packages. By default the given packages will 
+trace out all dependent packages; this can produce a very large graph. 
+To limit the output to only the packages listed on the command line,
+set the APT::Cache::GivenOnly option.
+
+The resulting nodes will have several shapes; normal packages are boxes,
+pure provides are triangles, mixed provides are diamonds, 
+missing packages are hexagons. Orange boxes mean recursion was stopped 
+[leaf packages], blue lines are pre-depends, green lines are conflicts.
+
+Caution, dotty cannot graph larger sets of packages.
+.TP
+\fBpolicy \fI[ pkg(s) ]\fB\fR
+policy is ment to help debug issues relating to the 
+preferences file. With no arguments it will print out the 
+priorities of each source. Otherwise it prints out detailed information
+about the priority selection of the named package.
+.SH "OPTIONS"
+.PP
+All command line options may be set using the configuration file, the
+descriptions indicate the configuration option to set. For boolean
+options you can override the config file by using something like 
+\fB-f-\fR,\fB--no-f\fR, \fB-f=no\fR or several other variations.
+.TP
+\fB-p\fR
+.TP
+\fB--pkg-cache\fR
+Select the file to store the package cache. The package cache is the 
+primary cache used by all operations.
+Configuration Item: Dir::Cache::pkgcache\&.
+.TP
+\fB-s\fR
+.TP
+\fB--src-cache\fR
+Select the file to store the source cache. The source is used only by
+gencaches and it stores a parsed version of the package 
+information from remote sources. When building the package cache the 
+source cache is used to advoid reparsing all of the package files.
+Configuration Item: Dir::Cache::srcpkgcache\&.
+.TP
+\fB-q\fR
+.TP
+\fB--quiet\fR
+Quiet; produces output suitable for logging, omitting progress indicators.
+More q's will produce more quietness up to a maximum of 2. You can also use
+\fB-q=#\fR to set the quietness level, overriding the configuration file.
+Configuration Item: quiet\&.
+.TP
+\fB-i\fR
+.TP
+\fB--important\fR
+Print only important dependencies; for use with unmet. Causes only Depends and 
+Pre-Depends relations to be printed.
+Configuration Item: APT::Cache::Important\&.
+.TP
+\fB-f\fR
+.TP
+\fB--full\fR
+Print full package records when searching. 
+Configuration Item: APT::Cache::ShowFull\&.
+.TP
+\fB-a\fR
+.TP
+\fB--all-versions\fR
+Print full records for all available versions. This is the
+default; to turn it off, use \fB--no-all-versions\fR\&.
+If \fB--no-all-versions\fR is specified, only the candidate version
+will displayed (the one which would be selected for installation).
+This option is only applicable to  the show command.
+Configuration Item: APT::Cache::AllVersions\&.
+.TP
+\fB-g\fR
+.TP
+\fB--generate\fR
+Perform automatic package cache regeneration, rather than use the cache 
+as it is. This is the default; to turn it off, use \fB--no-generate\fR\&.
+Configuration Item: APT::Cache::Generate\&.
+.TP
+\fB--names-only\fR
+.TP
+\fB-n\fR
+Only search on the package names, not the long descriptions. 
+Configuration Item: APT::Cache::NamesOnly\&.
+.TP
+\fB--all-names\fR
+Make pkgnames print all names, including virtual packages 
+and missing dependencies. 
+Configuration Item: APT::Cache::AllNames\&.
+.TP
+\fB--recurse\fR
+Make depends recursive so that all packages mentioned are 
+printed once.
+Configuration Item: APT::Cache::RecurseDepends\&.
+.TP
+\fB-h\fR
+.TP
+\fB--help\fR
+Show a short usage summary.
+.TP
+\fB-v\fR
+.TP
+\fB--version\fR
+Show the program version.
+.TP
+\fB-c\fR
+.TP
+\fB--config-file\fR
+Configuration File; Specify a configuration file to use. 
+The program will read the default configuration file and then this 
+configuration file. See \fB\fIapt.conf\fB\fR(5) for syntax information.     
+.TP
+\fB-o\fR
+.TP
+\fB--option\fR
+Set a Configuration Option; This will set an arbitrary configuration 
+option. The syntax is \fB-o Foo::Bar=bar\fR\&.
+.SH "FILES"
+.TP
+\fB\fI/etc/apt/sources.list\fB\fR
+Locations to fetch packages from.
+Configuration Item: Dir::Etc::SourceList\&.
+.TP
+\fB\fI/var/lib/apt/lists/\fB\fR
+Storage area for state information for each package resource specified in
+\fB\fIsources.list\fB\fR(5)
+Configuration Item: Dir::State::Lists\&.
+.TP
+\fB\fI/var/lib/apt/lists/partial/\fB\fR
+Storage area for state information in transit.
+Configuration Item: Dir::State::Lists (implicit partial).
+.SH "SEE ALSO"
+.PP
+\fB\fIapt.conf\fB\fR(5), \fB\fIsources.list\fB\fR(5), \fBapt-get\fR(8)
+.SH "DIAGNOSTICS"
+.PP
+\fBapt-cache\fR returns zero on normal operation, decimal 100 on error.
+.SH "BUGS"
+.PP
+See the APT bug page <URL:http://bugs.debian.org/src:apt>\&.  
+If you wish to report a bug in APT, please see
+\fI/usr/share/doc/debian/bug-reporting.txt\fR or the \fBreportbug\fR(1) command.
+.SH "AUTHOR"
+.PP
+APT was written by the APT team <apt@packages.debian.org>\&.
diff --git a/doc/apt-cdrom.8 b/doc/apt-cdrom.8
new file mode 100644 (file)
index 0000000..7cb3441
--- /dev/null
@@ -0,0 +1,133 @@
+.\" This manpage has been automatically generated by docbook2man 
+.\" from a DocBook document.  This tool can be found at:
+.\" <http://shell.ipoline.com/~elmert/comp/docbook2X/> 
+.\" Please send any bug reports, improvements, comments, patches, 
+.\" etc. to Steve Cheng <steve@ggi-project.org>.
+.TH "APT-CDROM" "8" "29 May 2006" "" ""
+
+.SH NAME
+apt-cdrom \- APT CDROM management utility
+.SH SYNOPSIS
+
+\fBapt-cdrom\fR [ \fB-hvrmfan\fR ] [ \fB-d=\fIcdrom mount point\fB\fR ] [ \fB-o=\fIconfig string\fB\fR ] [ \fB-c=\fIfile\fB\fR ] { \fBadd\fR | \fBident\fR }
+
+.SH "DESCRIPTION"
+.PP
+\fBapt-cdrom\fR is used to add a new CDROM to APTs list of available 
+sources. \fBapt-cdrom\fR takes care of determining the structure of 
+the disc as well as correcting for several possible mis-burns and 
+verifying the index files.   
+.PP
+It is necessary to use \fBapt-cdrom\fR to add CDs to the APT system, 
+it cannot be done by hand. Furthermore each disk in a multi-cd set must be
+inserted and scanned separately to account for possible mis-burns.
+.PP
+Unless the \fB-h\fR, or \fB--help\fR option is given one of the
+commands below must be present.
+.TP
+\fBadd\fR
+add is used to add a new disc to the source list. It will unmount the
+CDROM device, prompt for a disk to be inserted and then procceed to 
+scan it and copy the index files. If the disc does not have a proper
+\fI\&.disk/\fR directory you will be prompted for a descriptive 
+title.
+
+APT uses a CDROM ID to track which disc is currently in the drive and
+maintains a database of these IDs in 
+\fI/var/lib/apt/cdroms.list\fR
+.TP
+\fBident\fR
+A debugging tool to report the identity of the current disc as well
+as the stored file name
+.SH "OPTIONS"
+.PP
+All command line options may be set using the configuration file, the
+descriptions indicate the configuration option to set. For boolean
+options you can override the config file by using something like 
+\fB-f-\fR,\fB--no-f\fR, \fB-f=no\fR or several other variations.
+.TP
+\fB-d\fR
+.TP
+\fB--cdrom\fR
+Mount point; specify the location to mount the cdrom. This mount 
+point must be listed in \fI/etc/fstab\fR and properly configured.
+Configuration Item: Acquire::cdrom::mount\&.
+.TP
+\fB-r\fR
+.TP
+\fB--rename\fR
+Rename a disc; change the label of a disk or override the disks 
+given label. This option will cause \fBapt-cdrom\fR to prompt for 
+a new label.
+Configuration Item: APT::CDROM::Rename\&.
+.TP
+\fB-m\fR
+.TP
+\fB--no-mount\fR
+No mounting; prevent \fBapt-cdrom\fR from mounting and unmounting 
+the mount point.
+Configuration Item: APT::CDROM::NoMount\&.
+.TP
+\fB-f\fR
+.TP
+\fB--fast\fR
+Fast Copy; Assume the package files are valid and do not check 
+every package. This option should be used only if
+\fBapt-cdrom\fR has been run on this disc before and did not detect 
+any errors.
+Configuration Item: APT::CDROM::Fast\&.
+.TP
+\fB-a\fR
+.TP
+\fB--thorough\fR
+Thorough Package Scan; This option may be needed with some old 
+Debian 1.1/1.2 discs that have Package files in strange places. It 
+takes much longer to scan the CD but will pick them all up.
+.TP
+\fB-n\fR
+.TP
+\fB--just-print\fR
+.TP
+\fB--recon\fR
+.TP
+\fB--no-act\fR
+No Changes; Do not change the \fB\fIsources.list\fB\fR(5) file and do not 
+write index files. Everything is still checked however.
+Configuration Item: APT::CDROM::NoAct\&.
+.TP
+\fB-h\fR
+.TP
+\fB--help\fR
+Show a short usage summary.
+.TP
+\fB-v\fR
+.TP
+\fB--version\fR
+Show the program version.
+.TP
+\fB-c\fR
+.TP
+\fB--config-file\fR
+Configuration File; Specify a configuration file to use. 
+The program will read the default configuration file and then this 
+configuration file. See \fB\fIapt.conf\fB\fR(5) for syntax information.     
+.TP
+\fB-o\fR
+.TP
+\fB--option\fR
+Set a Configuration Option; This will set an arbitrary configuration 
+option. The syntax is \fB-o Foo::Bar=bar\fR\&.
+.SH "SEE ALSO"
+.PP
+\fB\fIapt.conf\fB\fR(5), \fBapt-get\fR(8), \fB\fIsources.list\fB\fR(5)
+.SH "DIAGNOSTICS"
+.PP
+\fBapt-cdrom\fR returns zero on normal operation, decimal 100 on error.
+.SH "BUGS"
+.PP
+See the APT bug page <URL:http://bugs.debian.org/src:apt>\&.  
+If you wish to report a bug in APT, please see
+\fI/usr/share/doc/debian/bug-reporting.txt\fR or the \fBreportbug\fR(1) command.
+.SH "AUTHOR"
+.PP
+APT was written by the APT team <apt@packages.debian.org>\&.
diff --git a/doc/apt-config.8 b/doc/apt-config.8
new file mode 100644 (file)
index 0000000..21120d1
--- /dev/null
@@ -0,0 +1,89 @@
+.\" This manpage has been automatically generated by docbook2man 
+.\" from a DocBook document.  This tool can be found at:
+.\" <http://shell.ipoline.com/~elmert/comp/docbook2X/> 
+.\" Please send any bug reports, improvements, comments, patches, 
+.\" etc. to Steve Cheng <steve@ggi-project.org>.
+.TH "APT-CONFIG" "8" "29 May 2006" "" ""
+
+.SH NAME
+apt-config \- APT Configuration Query program
+.SH SYNOPSIS
+
+\fBapt-config\fR [ \fB-hv\fR ] [ \fB-o=\fIconfig string\fB\fR ] [ \fB-c=\fIfile\fB\fR ] { \fBshell\fR | \fBdump\fR }
+
+.SH "DESCRIPTION"
+.PP
+\fBapt-config\fR is an internal program used by various portions of
+the APT suite to provide consistent configurability. It accesses the main 
+configuration file \fI/etc/apt/apt.conf\fR in a manner that is 
+easy to use by scripted applications.
+.PP
+Unless the \fB-h\fR, or \fB--help\fR option is given one of the
+commands below must be present.
+.TP
+\fBshell\fR
+shell is used to access the configuration information from a shell 
+script. It is given pairs of arguments, the first being a shell 
+variable and the second the configuration value to query. As output 
+it lists a series of shell assignments commands for each present value. 
+In a shell script it should be used like:
+
+
+.nf
+OPTS="-f"
+RES=`apt-config shell OPTS MyApp::Options`
+eval $RES
+.fi
+
+This will set the shell environment variable $OPTS to the value of
+MyApp::Options with a default of \fB-f\fR\&.
+
+The configuration item may be postfixed with a /[fdbi]. f returns file
+names, d returns directories, b returns true or false and i returns an 
+integer. Each of the returns is normalized and verified internally.
+.TP
+\fBdump\fR
+Just show the contents of the configuration space.
+.SH "OPTIONS"
+.PP
+All command line options may be set using the configuration file, the
+descriptions indicate the configuration option to set. For boolean
+options you can override the config file by using something like 
+\fB-f-\fR,\fB--no-f\fR, \fB-f=no\fR or several other variations.
+.TP
+\fB-h\fR
+.TP
+\fB--help\fR
+Show a short usage summary.
+.TP
+\fB-v\fR
+.TP
+\fB--version\fR
+Show the program version.
+.TP
+\fB-c\fR
+.TP
+\fB--config-file\fR
+Configuration File; Specify a configuration file to use. 
+The program will read the default configuration file and then this 
+configuration file. See \fB\fIapt.conf\fB\fR(5) for syntax information.     
+.TP
+\fB-o\fR
+.TP
+\fB--option\fR
+Set a Configuration Option; This will set an arbitrary configuration 
+option. The syntax is \fB-o Foo::Bar=bar\fR\&.
+.SH "SEE ALSO"
+.PP
+\fB\fIapt.conf\fB\fR(5)
+.SH "DIAGNOSTICS"
+.PP
+\fBapt-config\fR returns zero on normal operation, decimal 100 on error.
+.SH "BUGS"
+.PP
+See the APT bug page <URL:http://bugs.debian.org/src:apt>\&.  
+If you wish to report a bug in APT, please see
+\fI/usr/share/doc/debian/bug-reporting.txt\fR or the \fBreportbug\fR(1) command.
+.SH "AUTHOR"
+.PP
+APT was written by the APT team <apt@packages.debian.org>\&.
diff --git a/doc/apt-get.8 b/doc/apt-get.8
new file mode 100644 (file)
index 0000000..93c18bd
--- /dev/null
@@ -0,0 +1,418 @@
+.\" This manpage has been automatically generated by docbook2man 
+.\" from a DocBook document.  This tool can be found at:
+.\" <http://shell.ipoline.com/~elmert/comp/docbook2X/> 
+.\" Please send any bug reports, improvements, comments, patches, 
+.\" etc. to Steve Cheng <steve@ggi-project.org>.
+.TH "APT-GET" "8" "29 May 2006" "" ""
+
+.SH NAME
+apt-get \- APT package handling utility -- command-line interface
+.SH SYNOPSIS
+
+\fBapt-get\fR [ \fB-hvs\fR ] [ \fB-o=\fIconfig string\fB\fR ] [ \fB-c=\fIfile\fB\fR ] { \fBupdate\fR | \fBupgrade\fR | \fBinstall  \fIpkg\fB\fI ...\fB\fR | \fBremove  \fIpkg\fB\fI ...\fB\fR | \fBsource  \fIpkg\fB\fI ...\fB\fR | \fBbuild-dep  \fIpkg\fB\fI ...\fB\fR | \fBcheck\fR | \fBclean\fR | \fBautoclean\fR }
+
+.SH "DESCRIPTION"
+.PP
+\fBapt-get\fR is the command-line tool for handling packages, and may be 
+considered the user's "back-end" to other tools using the APT
+library.  Several "front-end" interfaces exist, such as synaptic and
+aptitude.
+.PP
+Unless the \fB-h\fR, or \fB--help\fR option is given, one of the
+commands below must be present.
+.TP
+\fBupdate\fR
+update is used to resynchronize the package index files from
+their sources. The indexes of available packages are fetched from the
+location(s) specified in \fI/etc/apt/sources.list\fR\&.
+An update should always be 
+performed before an upgrade or dist-upgrade\&.
+.TP
+\fBupgrade\fR
+upgrade is used to install the newest versions of all packages 
+currently installed on the system from the sources enumerated in
+\fI/etc/apt/sources.list\fR\&. Packages currently installed with 
+new versions available are retrieved and upgraded; under no circumstances 
+are currently installed packages removed, or packages not already installed 
+retrieved and installed. New versions of currently installed packages that 
+cannot be upgraded without changing the install status of another package 
+will be left at their current version. An update must be 
+performed first so that \fBapt-get\fR knows that new versions of packages are 
+available.
+.TP
+\fBdist-upgrade\fR
+dist-upgrade, in addition to performing the function of 
+upgrade, also intelligently handles changing dependencies 
+with new versions of packages; \fBapt-get\fR has a "smart" conflict 
+resolution system, and it will attempt to upgrade the most important 
+packages at the expense of less important ones if necessary. 
+The \fI/etc/apt/sources.list\fR file contains a list of locations 
+from which to retrieve desired package files.
+See also \fBapt_preferences\fR(5) for a mechanism for
+overriding the general settings for individual packages.
+.TP
+\fBinstall\fR
+install is followed by one or more packages desired for 
+installation. Each package is a package name, not a fully qualified 
+filename (for instance, in a Fedora Core system, glibc would be the 
+argument provided, not glibc-2.4.8.i686.rpm). 
+All packages required 
+by the package(s) specified for installation will also be retrieved and 
+installed. The \fI/etc/apt/sources.list\fR file is used to locate 
+the desired packages. If a hyphen is appended to the package name (with 
+no intervening space), the identified package will be removed if it is 
+installed. Similarly a plus sign can be used to designate a package to 
+install. These latter features may be used to override decisions made by 
+apt-get's conflict resolution system.
+
+A specific version of a package can be selected for installation by 
+following the package name with an equals and the version of the package 
+to select. This will cause that version to be located and selected for
+install. Alternatively a specific distribution can be selected by 
+following the package name with a slash and the version of the 
+distribution or the Archive name (stable, testing, unstable).
+
+Both of the version selection mechanisms can downgrade packages and must
+be used with care.
+
+Finally, the \fBapt_preferences\fR(5) mechanism allows you to
+create an alternative installation policy for
+individual packages.
+
+If no package matches the given expression and the expression contains one
+of '.', '?' or '*' then it is assumed to be a POSIX regular expression,
+and it is applied
+to all package names in the database. Any matches are then installed (or
+removed). Note that matching is done by substring so 'lo.*' matches 'how-lo'
+and 'lowest'. If this is undesired, anchor the regular expression
+with a '^' or '$' character, or create a more specific regular expression.
+.TP
+\fBremove\fR
+remove is identical to install except that packages are 
+removed instead of installed. If a plus sign is appended to the package 
+name (with no intervening space), the identified package will be 
+installed instead of removed.
+.TP
+\fBsource\fR
+source causes \fBapt-get\fR to fetch source packages. APT 
+will examine the available packages to decide which source package to 
+fetch. It will then find and download into the current directory the 
+newest available version of that source package. Source packages are 
+tracked separately from binary packages via rpm-src type lines 
+in the \fB\fIsources.list\fB\fR(5) file. This probably will mean that you will not 
+get the same source as the package you have installed or as you could 
+install. If the --compile options is specified then the package will be 
+compiled to a binary using rpmbuild, if --download-only is 
+specified then the source package will not be unpacked.
+
+A specific source version can be retrieved by postfixing the source name
+with an equals and then the version to fetch, similar to the mechanism
+used for the package files. This enables exact matching of the source 
+package name and version, implicitly enabling the 
+APT::Get::Only-Source option.
+
+Note that source packages are not tracked like binary packages, they 
+exist only in the current directory and are similar to downloading source
+tar balls.
+.TP
+\fBbuild-dep\fR
+build-dep causes apt-get to install/remove packages in an 
+attempt to satisfy the build dependencies for a source package.
+.TP
+\fBcheck\fR
+check is a diagnostic tool; it updates the package cache and checks 
+for broken dependencies.
+.TP
+\fBclean\fR
+clean clears out the local repository of retrieved package 
+files. It removes everything but the lock file from 
+\fI/var/cache/apt/archives/\fR and 
+\fI/var/cache/apt/archives/partial/\fR\&. 
+.TP
+\fBautoclean\fR
+Like clean, autoclean clears out the local 
+repository of retrieved package files. The difference is that it only 
+removes package files that can no longer be downloaded, and are largely 
+useless. This allows a cache to be maintained over a long period without 
+it growing out of control. The configuration option 
+APT::Clean-Installed will prevent installed packages from being
+erased if it is set to off.
+.SH "OPTIONS"
+.PP
+All command line options may be set using the configuration file, the
+descriptions indicate the configuration option to set. For boolean
+options you can override the config file by using something like 
+\fB-f-\fR,\fB--no-f\fR, \fB-f=no\fR or several other variations.
+.TP
+\fB-d\fR
+.TP
+\fB--download-only\fR
+Download only; package files are only retrieved, not unpacked or installed.
+Configuration Item: APT::Get::Download-Only\&.
+.TP
+\fB-f\fR
+.TP
+\fB--fix-broken\fR
+Fix; attempt to correct a system with broken dependencies in            
+place. This option, when used with install/remove, can omit any packages
+to permit APT to deduce a likely solution. Any Package that are specified
+must completely correct the problem. The option is sometimes necessary when 
+running APT for the first time; APT itself does not allow broken package 
+dependencies to exist on a system. It is possible that a system's 
+dependency structure can be so corrupt as to require manual intervention 
+Use of this option together with \fB-m\fR may produce an
+error in some situations. 
+Configuration Item: APT::Get::Fix-Broken\&.
+.TP
+\fB-m\fR
+.TP
+\fB--ignore-missing\fR
+.TP
+\fB--fix-missing\fR
+Ignore missing packages; If packages cannot be retrieved or fail the    
+integrity check after retrieval (corrupted package files), hold back    
+those packages and handle the result. Use of this option together with  
+\fB-f\fR may produce an error in some situations. If a package is 
+selected for installation (particularly if it is mentioned on the 
+command line) and it could not be downloaded then it will be silently 
+held back.
+Configuration Item: APT::Get::Fix-Missing\&.
+.TP
+\fB--no-download\fR
+Disables downloading of packages. This is best used with 
+\fB--ignore-missing\fR to force APT to use only the .rpms it has 
+already downloaded.
+Configuration Item: APT::Get::Download\&.
+.TP
+\fB-q\fR
+.TP
+\fB--quiet\fR
+Quiet; produces output suitable for logging, omitting progress indicators.
+More q's will produce more quiet up to a maximum of 2. You can also use
+\fB-q=#\fR to set the quiet level, overriding the configuration file. 
+Note that quiet level 2 implies \fB-y\fR, you should never use -qq 
+without a no-action modifier such as -d, --print-uris or -s as APT may 
+decided to do something you did not expect.
+Configuration Item: quiet\&.
+.TP
+\fB-s\fR
+.TP
+\fB--simulate\fR
+.TP
+\fB--just-print\fR
+.TP
+\fB--dry-run\fR
+.TP
+\fB--recon\fR
+.TP
+\fB--no-act\fR
+No action; perform a simulation of events that would occur but do not
+actually change the system. 
+Configuration Item: APT::Get::Simulate\&.
+
+Simulate prints out
+a series of lines each one representing an rpm operation, Configure (Conf),
+Remove (Remv), Unpack (Inst). Square brackets indicate broken packages with
+and empty set of square brackets meaning breaks that are of no consequence
+(rare).
+.TP
+\fB-y\fR
+.TP
+\fB--yes\fR
+.TP
+\fB--assume-yes\fR
+Automatic yes to prompts; assume "yes" as answer to all prompts and run
+non-interactively. If an undesirable situation, such as changing a held
+package or removing an essential package occurs then apt-get 
+will abort. 
+Configuration Item: APT::Get::Assume-Yes\&.
+.TP
+\fB-u\fR
+.TP
+\fB--show-upgraded\fR
+Show upgraded packages; Print out a list of all packages that are to be
+upgraded. 
+Configuration Item: APT::Get::Show-Upgraded\&.
+.TP
+\fB-V\fR
+.TP
+\fB--verbose-versions\fR
+Show full versions for upgraded and installed packages.
+Configuration Item: APT::Get::Show-Versions\&.
+.TP
+\fB-b\fR
+.TP
+\fB--compile\fR
+.TP
+\fB--build\fR
+Compile source packages after downloading them.
+Configuration Item: APT::Get::Compile\&.
+.TP
+\fB--ignore-hold\fR
+Ignore package Holds; This causes \fBapt-get\fR to ignore a hold 
+placed on a package. This may be useful in conjunction with 
+dist-upgrade to override a large number of undesired holds. 
+Configuration Item: APT::Ignore-Hold\&.
+.TP
+\fB--no-upgrade\fR
+Do not upgrade packages; When used in conjunction with install
+no-upgrade will prevent packages listed from being upgraded
+if they are already installed. 
+Configuration Item: APT::Get::Upgrade\&.
+.TP
+\fB--force-yes\fR
+Force yes; This is a dangerous option that will cause apt to continue 
+without prompting if it is doing something potentially harmful. It 
+should not be used except in very special situations. Using 
+force-yes can potentially destroy your system! 
+Configuration Item: APT::Get::force-yes\&.
+.TP
+\fB--print-uris\fR
+Instead of fetching the files to install their URIs are printed. Each
+URI will have the path, the destination file name, the size and the expected
+md5 hash. Note that the file name to write to will not always match
+the file name on the remote site! This also works with the 
+source and update commands. When used with the
+update command the MD5 and size are not included, and it is
+up to the user to decompress any compressed files.
+Configuration Item: APT::Get::Print-URIs\&.
+.TP
+\fB--purge\fR
+Use purge instead of remove for anything that would be removed.
+An asterisk ("*") will be displayed next to packages which are
+scheduled to be purged.
+Configuration Item: APT::Get::Purge\&.
+.TP
+\fB--reinstall\fR
+Re-Install packages that are already installed and at the newest version.
+Configuration Item: APT::Get::ReInstall\&.
+.TP
+\fB--list-cleanup\fR
+This option defaults to on, use --no-list-cleanup to turn it 
+off. When on \fBapt-get\fR will automatically manage the contents of 
+\fI/var/lib/apt/lists\fR to ensure that obsolete files are erased. 
+The only  reason to turn it off is if you frequently change your source 
+list. 
+Configuration Item: APT::Get::List-Cleanup\&.
+.TP
+\fB-t\fR
+.TP
+\fB--target-release\fR
+.TP
+\fB--default-release\fR
+This option controls the default input to the policy engine, it creates
+a default pin at priority 990 using the specified release string. The
+preferences file may further override this setting. In short, this option
+lets you have simple control over which distribution packages will be
+retrieved from. Some common examples might be 
+\fB-t '2.1*'\fR or \fB-t unstable\fR\&.
+Configuration Item: APT::Default-Release;
+see also the \fBapt_preferences\fR(5) manual page.
+.TP
+\fB--trivial-only\fR
+Only perform operations that are 'trivial'. Logically this can be considered
+related to \fB--assume-yes\fR, where \fB--assume-yes\fR will answer 
+yes to any prompt, \fB--trivial-only\fR will answer no. 
+Configuration Item: APT::Get::Trivial-Only\&.
+.TP
+\fB--no-remove\fR
+If any packages are to be removed apt-get immediately aborts without
+prompting. 
+Configuration Item: APT::Get::Remove
+.TP
+\fB--only-source\fR
+Only has meaning for the source command.  Indicates that the
+given source names are not to be mapped through the binary
+table.  This means that if this option is specified, the
+source command will only accept source package names as
+arguments, rather than accepting binary package names and looking
+up the corresponding source package.
+Configuration Item: APT::Get::Only-Source
+.TP
+\fB--diff-only\fR
+.TP
+\fB--tar-only\fR
+Download only the diff or tar file of a source archive. 
+Configuration Item: APT::Get::Diff-Only and 
+APT::Get::Tar-Only
+.TP
+\fB--arch-only\fR
+Only process architecture-dependent build-dependencies.
+Configuration Item: APT::Get::Arch-Only 
+.TP
+\fB-h\fR
+.TP
+\fB--help\fR
+Show a short usage summary.
+.TP
+\fB-v\fR
+.TP
+\fB--version\fR
+Show the program version.
+.TP
+\fB-c\fR
+.TP
+\fB--config-file\fR
+Configuration File; Specify a configuration file to use. 
+The program will read the default configuration file and then this 
+configuration file. See \fB\fIapt.conf\fB\fR(5) for syntax information.     
+.TP
+\fB-o\fR
+.TP
+\fB--option\fR
+Set a Configuration Option; This will set an arbitrary configuration 
+option. The syntax is \fB-o Foo::Bar=bar\fR\&.
+.SH "FILES"
+.TP
+\fB\fI/etc/apt/sources.list\fB\fR
+Locations to fetch packages from.
+Configuration Item: Dir::Etc::SourceList\&.
+.TP
+\fB\fI/etc/apt/apt.conf\fB\fR
+APT configuration file.
+Configuration Item: Dir::Etc::Main\&.
+.TP
+\fB\fI/etc/apt/apt.conf.d/\fB\fR
+APT configuration file fragments
+Configuration Item: Dir::Etc::Parts\&.
+.TP
+\fB\fI/etc/apt/preferences\fB\fR
+Version preferences file.
+This is where you would specify "pinning",
+i.e. a preference to get certain packages
+from a separate source
+or from a different version of a distribution.
+Configuration Item: Dir::Etc::Preferences\&.
+.TP
+\fB\fI/var/cache/apt/archives/\fB\fR
+Storage area for retrieved package files.
+Configuration Item: Dir::Cache::Archives\&.
+.TP
+\fB\fI/var/cache/apt/archives/partial/\fB\fR
+Storage area for package files in transit.
+Configuration Item: Dir::Cache::Archives (implicit partial). 
+.TP
+\fB\fI/var/lib/apt/lists/\fB\fR
+Storage area for state information for each package resource specified in
+\fB\fIsources.list\fB\fR(5)
+Configuration Item: Dir::State::Lists\&.
+.TP
+\fB\fI/var/lib/apt/lists/partial/\fB\fR
+Storage area for state information in transit.
+Configuration Item: Dir::State::Lists (implicit partial).
+.SH "SEE ALSO"
+.PP
+\fBapt-cache\fR(8), \fBapt-cdrom\fR(8), \fB\fIsources.list\fB\fR(5),
+\fB\fIapt.conf\fB\fR(5), \fBapt-config\fR(8),
+The APT User's guide in /usr/share/doc/apt/, \fBapt_preferences\fR(5), the APT Howto.
+.SH "DIAGNOSTICS"
+.PP
+\fBapt-get\fR returns zero on normal operation, decimal 100 on error.
+.SH "BUGS"
+.PP
+See the APT bug page <URL:http://bugs.debian.org/src:apt>\&.  
+If you wish to report a bug in APT, please see
+\fI/usr/share/doc/debian/bug-reporting.txt\fR or the \fBreportbug\fR(1) command.
+.SH "AUTHOR"
+.PP
+APT was written by the APT team <apt@packages.debian.org>\&.
diff --git a/doc/apt_preferences.5 b/doc/apt_preferences.5
new file mode 100644 (file)
index 0000000..e3fc2b0
--- /dev/null
@@ -0,0 +1,439 @@
+.\" This manpage has been automatically generated by docbook2man 
+.\" from a DocBook document.  This tool can be found at:
+.\" <http://shell.ipoline.com/~elmert/comp/docbook2X/> 
+.\" Please send any bug reports, improvements, comments, patches, 
+.\" etc. to Steve Cheng <steve@ggi-project.org>.
+.TH "APT_PREFERENCES" "5" "29 May 2006" "" ""
+
+.SH NAME
+apt_preferences \- Preference control file for APT
+.SH "DESCRIPTION"
+.PP
+The APT preferences file \fI/etc/apt/preferences\fR
+can be used to control which versions of packages will be selected
+for installation.
+.PP
+Several versions of a package may be available for installation when
+the \fB\fIsources.list\fB\fR(5) file contains references to more than one distribution
+(for example, stable and testing).
+APT assigns a priority to each version that is available.
+Subject to dependency constraints, \fBapt-get\fR selects the
+version with the highest priority for installation.
+The APT preferences file overrides the priorities that APT assigns to
+package versions by default, thus giving the user control over which
+one is selected for installation.
+.PP
+Several instances of the same version of a package may be available when
+the \fB\fIsources.list\fB\fR(5) file contains references to more than one source.
+In this case \fBapt-get\fR downloads the instance listed
+earliest in the \fB\fIsources.list\fB\fR(5) file.
+The APT preferences file does not affect the choice of instance, only
+the choice of version.
+.SS "APT'S DEFAULT PRIORITY ASSIGNMENTS"
+.PP
+If there is no preferences file or if there is no entry in the file
+that applies to a particular version then the priority assigned to that
+version is the priority of the distribution to which that version
+belongs.  It is possible to single out a distribution, "the target release",
+which receives a higher priority than other distributions do by default.
+The target release can be set on the \fBapt-get\fR command
+line or in the APT configuration file \fI/etc/apt/apt.conf\fR\&.
+For example,
+
+.nf
+\fBapt-get install -t testing \fIsome-package\fB\fR
+.fi
+
+.nf
+APT::Default-Release "stable";
+.fi
+.PP
+If the target release has been specified then APT uses the following
+algorithm to set the priorities of the versions of a package.  Assign:
+.TP
+\fBpriority 100\fR
+to the version that is already installed (if any).
+.TP
+\fBpriority 500\fR
+to the versions that are not installed and do not belong to the target release.
+.TP
+\fBpriority 990\fR
+to the versions that are not installed and belong to the target release.
+.PP
+If the target release has not been specified then APT simply assigns
+priority 100 to all installed package versions and priority 500 to all
+uninstalled package versions.
+.PP
+APT then applies the following rules, listed in order of precedence,
+to determine which version of a package to install.
+.TP 0.2i
+\(bu
+Never downgrade unless the priority of an available
+version exceeds 1000.  ("Downgrading" is installing a less recent version
+of a package in place of a more recent version.  Note that none of APT's
+default priorities exceeds 1000; such high priorities can only be set in
+the preferences file.  Note also that downgrading a package
+can be risky.)
+.TP 0.2i
+\(bu
+Install the highest priority version.
+.TP 0.2i
+\(bu
+If two or more versions have the same priority,
+install the most recent one (that is, the one with the higher version
+number).
+.TP 0.2i
+\(bu
+If two or more versions have the same priority and
+version number but either the packages differ in some of their metadata or the
+--reinstall option is given, install the uninstalled one.
+.PP
+In a typical situation, the installed version of a package (priority 100)
+is not as recent as one of the versions available from the sources listed in
+the \fB\fIsources.list\fB\fR(5) file (priority 500 or 990).  Then the package will be upgraded
+when \fBapt-get install \fIsome-package\fB\fR
+or \fBapt-get upgrade\fR is executed.
+.PP
+More rarely, the installed version of a package is \fBmore\fR recent
+than any of the other available versions.  The package will not be downgraded
+when \fBapt-get install \fIsome-package\fB\fR
+or \fBapt-get upgrade\fR is executed.
+.PP
+Sometimes the installed version of a package is more recent than the
+version belonging to the target release, but not as recent as a version
+belonging to some other distribution.  Such a package will indeed be upgraded
+when \fBapt-get install \fIsome-package\fB\fR
+or \fBapt-get upgrade\fR is executed,
+because at least \fBone\fR of the available versions has a higher
+priority than the installed version.
+.SS "THE EFFECT OF APT PREFERENCES"
+.PP
+The APT preferences file allows the system administrator to control the
+assignment of priorities.  The file consists of one or more multi-line records
+separated by blank lines.  Records can have one of two forms, a specific form
+and a general form.
+.TP 0.2i
+\(bu
+The specific form assigns a priority (a "Pin-Priority") to a
+specified package and specified version or version range.  For example,
+the following record assigns a high priority to all versions of
+the \fIperl\fR package whose version number begins with "5.8".
+
+.nf
+Package: perl
+Pin: version 5.8*
+Pin-Priority: 1001
+.fi
+.TP 0.2i
+\(bu
+The general form assigns a priority to all of the package versions in a
+given distribution (that is, to all the versions of packages that are
+listed in a certain \fIRelease\fR file) or to all of the package
+versions coming from a particular Internet site, as identified by the
+site's fully qualified domain name.
+
+This general-form entry in the APT preferences file applies only
+to groups of packages.  For example, the following record assigns a high
+priority to all package versions available from the local site.
+
+.nf
+Package: *
+Pin: origin ""
+Pin-Priority: 999
+.fi
+
+A note of caution: the keyword used here is "origin".
+This should not be confused with the Origin of a distribution as
+specified in a \fIRelease\fR file.  What follows the "Origin:" tag
+in a \fIRelease\fR file is not an Internet address
+but an author or vendor name, such as "Debian" or "Ximian".
+
+The following record assigns a low priority to all package versions
+belonging to any distribution whose Archive name is "unstable".
+
+.nf
+Package: *
+Pin: release a=unstable
+Pin-Priority: 50
+.fi
+
+The following record assigns a high priority to all package versions
+belonging to any release whose Archive name is "stable"
+and whose release Version number is "3.0".
+
+.nf
+Package: *
+Pin: release a=unstable, v=3.0
+Pin-Priority: 50
+.fi
+.SS "HOW APT INTERPRETS PRIORITIES"
+.PP
+Priorities (P) assigned in the APT preferences file must be positive
+or negative integers.  They are interpreted as follows (roughly speaking):
+.TP
+\fBP > 1000\fR
+causes a version to be installed even if this
+constitutes a downgrade of the package
+.TP
+\fB990 < P <=1000\fR
+causes a version to be installed
+even if it does not come from the target release,
+unless the installed version is more recent
+.TP
+\fB500 < P <=990\fR
+causes a version to be installed
+unless there is a version available belonging to the target release
+or the installed version is more recent
+.TP
+\fB100 < P <=500\fR
+causes a version to be installed
+unless there is a version available belonging to some other
+distribution or the installed version is more recent
+.TP
+\fB0 < P <=100\fR
+causes a version to be installed
+only if there is no installed version of the package
+.TP
+\fBP < 0\fR
+prevents the version from being installed
+.PP
+If any specific-form records match an available package version then the
+first such record determines the priority of the package version.  
+Failing that,
+if any general-form records match an available package version then the
+first such record determines the priority of the package version.  
+.PP
+For example, suppose the APT preferences file contains the three
+records presented earlier:
+
+.nf
+Package: perl
+Pin: version 5.8*
+Pin-Priority: 1001
+
+Package: *
+Pin: origin ""
+Pin-Priority: 999
+
+Package: *
+Pin: release unstable
+Pin-Priority: 50
+.fi
+Then:
+.TP 0.2i
+\(bu
+The most recent available version of the perl
+package will be installed, so long as that version's version number begins
+with "5.8".  If \fBany\fR 5.8* version of perl is
+available and the installed version is 5.9*, then perl will be
+downgraded.
+.TP 0.2i
+\(bu
+A version of any package other than perl
+that is available from the local system has priority over other versions,
+even versions belonging to the target release.
+.TP 0.2i
+\(bu
+A version of a package whose origin is not the local
+system but some other site listed in \fB\fIsources.list\fB\fR(5) and which belongs to
+an unstable distribution is only installed if it is selected
+for installation and no version of the package is already installed.
+.SS "DETERMINATION OF PACKAGE VERSION AND DISTRIBUTION PROPERTIES"
+.PP
+The locations listed in the \fB\fIsources.list\fB\fR(5) file should provide
+\fIPackages\fR and \fIRelease\fR files
+to describe the packages available at that location.
+.PP
+The \fIPackages\fR file is normally found in the directory
+\fI\&.../dists/dist-name/component/arch\fR:
+for example, \fI\&.../dists/stable/main/binary-i386/Packages\fR\&.
+It consists of a series of multi-line records, one for each package available
+in that directory.  Only two lines in each record are relevant for setting
+APT priorities:
+.TP
+\fBthe Package: line\fR
+gives the package name
+.TP
+\fBthe Version: line\fR
+gives the version number for the named package
+.PP
+The \fIRelease\fR file is normally found in the directory
+\fI\&.../dists/dist-name\fR:
+for example, \fI\&.../dists/stable/Release\fR,
+or \fI\&.../dists/woody/Release\fR\&.
+It consists of a single multi-line record which applies to \fBall\fR of
+the packages in the directory tree below its parent.  Unlike the
+\fIPackages\fR file, nearly all of the lines in a \fIRelease\fR
+file are relevant for setting APT priorities:
+.TP
+\fBthe Archive: line\fR
+names the archive to which all the packages
+in the directory tree belong.  For example, the line
+"Archive: stable"
+specifies that all of the packages in the directory
+tree below the parent of the \fIRelease\fR file are in a
+stable archive.  Specifying this value in the APT preferences file
+would require the line:
+
+.nf
+Pin: release a=stable
+.fi
+.TP
+\fBthe Version: line\fR
+names the release version.  For example, the
+packages in the tree might belong to Debian GNU/Linux release
+version 3.0.  Note that there is normally no version number for the
+testing and unstable distributions because they
+have not been released yet.  Specifying this in the APT preferences
+file would require one of the following lines.
+
+.nf
+Pin: release v=3.0
+Pin: release a=stable, v=3.0
+Pin: release 3.0
+.fi
+.TP
+\fBthe Component: line\fR
+names the licensing component associated with the
+packages in the directory tree of the \fIRelease\fR file.
+For example, the line "Component: main" specifies that
+all the packages in the directory tree are from the main
+component, which entails that they are licensed under terms listed
+in the Debian Free Software Guidelines.  Specifying this component
+in the APT preferences file would require the line:
+
+.nf
+Pin: release c=main
+.fi
+.TP
+\fBthe Origin: line\fR
+names the originator of the packages in the
+directory tree of the \fIRelease\fR file.  Most commonly, this is
+Debian\&.  Specifying this origin in the APT preferences file
+would require the line:
+
+.nf
+Pin: release o=Debian
+.fi
+.TP
+\fBthe Label: line\fR
+names the label of the packages in the directory tree
+of the \fIRelease\fR file.  Most commonly, this is
+Debian\&.  Specifying this label in the APT preferences file
+would require the line:
+
+.nf
+Pin: release l=Debian
+.fi
+.PP
+All of the \fIPackages\fR and \fIRelease\fR
+files retrieved from locations listed in the \fB\fIsources.list\fB\fR(5) file are stored
+in the directory \fI/var/lib/apt/lists\fR, or in the file named
+by the variable Dir::State::Lists in the \fIapt.conf\fR file.
+For example, the file
+\fIdebian.lcs.mit.edu_debian_dists_unstable_contrib_binary-i386_Release\fR
+contains the \fIRelease\fR file retrieved from the site
+debian.lcs.mit.edu for binary-i386 architecture
+files from the contrib component of the unstable
+distribution.
+.SS "OPTIONAL LINES IN AN APT PREFERENCES RECORD"
+.PP
+Each record in the APT preferences file can optionally begin with
+one or more lines beginning with the word Explanation:\&.
+This provides a place for comments.
+.PP
+The Pin-Priority: line in each APT preferences record is
+optional.  If omitted, APT assigs a priority of 1 less than the last value
+specified on a line beginning with Pin-Priority: release ...\&.
+.SH "EXAMPLES"
+.SS "TRACKING STABLE"
+.PP
+The following APT preferences file will cause APT to assign a
+priority higher than the default (500) to all package versions belonging
+to a stable distribution and a prohibitively low priority to
+package versions belonging to other Debian distributions.
+
+.nf
+Explanation: Uninstall or do not install any Debian-originated
+Explanation: package versions other than those in the stable distro
+Package: *
+Pin: release a=stable
+Pin-Priority: 900
+
+Package: *
+Pin: release o=Debian
+Pin-Priority: -10
+.fi
+.PP
+With a suitable \fB\fIsources.list\fB\fR(5) file and the above preferences file,
+any of the following commands will cause APT to upgrade to the
+latest stable version(s).
+
+.nf
+apt-get install \fIpackage-name\fR
+apt-get upgrade
+apt-get dist-upgrade
+.fi
+.PP
+The following command will cause APT to upgrade the specified
+package to the latest version from the testing distribution;
+the package will not be upgraded again unless this command is given
+again.
+
+.nf
+apt-get install \fIpackage\fR/testing
+.fi
+.SS "TRACKING TESTING OR UNSTABLE"
+.PP
+The following APT preferences file will cause APT to assign
+a high priority to package versions from the testing
+distribution, a lower priority to package versions from the
+unstable distribution, and a prohibitively low priority
+to package versions from other Debian distributions.
+
+.nf
+Package: *
+Pin: release a=testing
+Pin-Priority: 900
+
+Package: *
+Pin: release a=unstable
+Pin-Priority: 800
+
+Package: *
+Pin: release o=Debian
+Pin-Priority: -10
+.fi
+.PP
+With a suitable \fB\fIsources.list\fB\fR(5) file and the above preferences file,
+any of the following commands will cause APT to upgrade to the latest
+testing version(s).
+
+.nf
+apt-get install \fIpackage-name\fR
+apt-get upgrade
+apt-get dist-upgrade
+.fi
+.PP
+The following command will cause APT to upgrade the specified
+package to the latest version from the unstable distribution.
+Thereafter, \fBapt-get upgrade\fR will upgrade
+the package to the most recent testing version if that is
+more recent than the installed version, otherwise, to the most recent
+unstable version if that is more recent than the installed
+version.
+
+.nf
+apt-get install \fIpackage\fR/unstable
+.fi
+.SH "SEE ALSO"
+.PP
+\fBapt-get\fR(8) \fBapt-cache\fR(8) \fB\fIapt.conf\fB\fR(5) \fB\fIsources.list\fB\fR(5)
+.SH "BUGS"
+.PP
+See the APT bug page <URL:http://bugs.debian.org/src:apt>\&.  
+If you wish to report a bug in APT, please see
+\fI/usr/share/doc/debian/bug-reporting.txt\fR or the \fBreportbug\fR(1) command.
+.SH "AUTHOR"
+.PP
+APT was written by the APT team <apt@packages.debian.org>\&.
diff --git a/doc/sources.list.5 b/doc/sources.list.5
new file mode 100644 (file)
index 0000000..f4e938a
--- /dev/null
@@ -0,0 +1,157 @@
+.\" This manpage has been automatically generated by docbook2man 
+.\" from a DocBook document.  This tool can be found at:
+.\" <http://shell.ipoline.com/~elmert/comp/docbook2X/> 
+.\" Please send any bug reports, improvements, comments, patches, 
+.\" etc. to Steve Cheng <steve@ggi-project.org>.
+.TH "SOURCES.LIST" "5" "29 May 2006" "" ""
+
+.SH NAME
+sources.list \- Package resource list for APT
+.SH "DESCRIPTION"
+.PP
+The package resource list is used to locate archives of the package
+distribution system in use on the system. 
+This control file is located in \fI/etc/apt/sources.list\fR
+and additionally any files ending in .list in 
+\fI/etc/apt/sources.list.d\fR are included.
+.PP
+The source list is designed to support any number of active sources and a
+variety of source media. The file lists one source per line, with the
+most preferred source listed first. The format of each line is:
+type uri args\&. The first item, type, determines the 
+format for args\&. uri is a Universal Resource Identifier 
+(URI), which is a superset of the more specific and well-known Universal
+Resource Locator, or URL. The rest of the line can be marked as a comment 
+by using a #.
+.PP
+The generic format of sources.list entry is:
+
+.nf
+type baseuri distribution [component comp2 ...]
+.fi
+.PP
+Type is one of the types explained below. Baseuri is the URI to the root
+of given distribution, distribution part points to a given distribution
+name, version and architecture. The splitting of URI into baseuri and
+distribution parts should be done in a way that allows pointing the baseuri
+to another mirror without touching distribution.
+Some types additionally support a component-entry.
+.PP
+The following variable substitutions are done on sources.list entries:
+$(ARCH) is substituted with the base archecture of the system.
+.PP
+$(VERSION) is substituted with the distribution version if
+configured automatically via Apt::DistroVerPkg or manually via 
+Apt::DistroVersion configuration option.
+.SH "THE REPOMD AND REPOMD-SRC TYPES"
+.PP
+The format of repomd and repomd-src sources.list entries is:
+
+.nf
+repomd baseuri distribution
+.fi
+
+.nf
+repomd-src baseuri distribution
+.fi
+Repomd repositories do not support a concept of "components"!
+.SH "THE RPM AND RPM-SRC TYPES"
+.PP
+The format of rpm and rpm-src sources.list entries is:
+
+.nf
+rpm baseuri distribution component [comp2 ...]
+.fi
+
+.nf
+rpm-src baseuri distribution component [comp2 ...]
+.fi
+At least one component must be specified for rpm and rpm-src 
+repositories.
+.SH "THE RPM-DIR AND RPM-SRC-DIR TYPES"
+.PP
+The format of rpm-dir and rpm-src-dir sources.list entries is:
+
+.nf
+rpm-dir baseuri distribution component [comp2 ...]
+.fi
+
+.nf
+rpm-src-dir baseuri distribution component [comp2 ...]
+.fi
+At least one component must be specified for rpm and rpm-src 
+repositories. Rpm-dir and rpm-src-dir only accept file:// uri's!
+.SH "URI SPECIFICATION"
+.PP
+The currently recognized URI types are cdrom, file, http, and ftp.
+.TP
+\fBfile\fR
+The file scheme allows an arbitrary directory in the file system to be
+considered an archive. This is useful for NFS mounts and local mirrors or
+archives.
+.TP
+\fBcdrom\fR
+The cdrom scheme allows APT to use a local CDROM drive with media
+swapping. Use the \fBapt-cdrom\fR(8) program to create cdrom entries in the
+source list.
+.TP
+\fBhttp\fR
+The http scheme specifies an HTTP server for the archive. If an environment
+variable \fBhttp_proxy\fR is set with the format 
+http://server:port/, the proxy server specified in
+\fBhttp_proxy\fR will be used. Users of authenticated HTTP/1.1 proxies 
+may use a string of the format http://user:pass@server:port/
+Note that this is an insecure method of authentication.
+.TP
+\fBftp\fR
+The ftp scheme specifies an FTP server for the archive. APT's FTP behavior
+is highly configurable; for more information see the
+\fB\fIapt.conf\fB\fR(5) manual page. Please note that a ftp proxy can be specified
+by using the \fBftp_proxy\fR environment variable. It is possible to 
+specify a http proxy (http proxy servers often understand ftp urls) using 
+this method and ONLY this method. ftp proxies using http specified in the 
+configuration file will be ignored.
+.TP
+\fBcopy\fR
+The copy scheme is identical to the file scheme except that packages are
+copied into the cache directory instead of used directly at their location.
+This is useful for people using a zip disk to copy files around with APT.
+.TP
+\fBrsh\fR
+.TP
+\fBssh\fR
+The rsh/ssh method invokes rsh/ssh to connect to a remote host
+as a given user and access the files. No password authentication is 
+possible, prior arrangements with RSA keys or rhosts must have been made.
+Access to files on the remote uses standard \fBfind\fR and \fBdd\fR 
+commands to perform the file transfers from the remote.
+.SH "EXAMPLES"
+.PP
+Repomd entries for Fedora Core, Extras and Updates using variable
+substitution, assumes Apt::DistroVerPkg is set to "fedora-release":
+
+.nf
+   repomd http://download.fedora.redhat.com/pub/ fedora/linux/core/$(VERSION)/$(ARCH)/os/
+   repomd http://download.fedora.redhat.com/pub/ fedora/linux/extras/$(VERSION)/$(ARCH)/
+   repomd http://download.fedora.redhat.com/pub/ fedora/linux/core/updates/$(VERSION)/$(ARCH)/
+   
+.fi
+.PP
+Local mirror (local disk, NFS mounted etc) of Fedora Core at 
+/var/www/html/fedora/
+
+.nf
+   repomd file:/var/www/html fedora/linux/core/$(VERSION)/$(ARCH)/
+   
+.fi
+.SH "SEE ALSO"
+.PP
+\fBapt-cache\fR(8) \fB\fIapt.conf\fB\fR(5)
+.SH "BUGS"
+.PP
+See the APT bug page <URL:http://bugs.debian.org/src:apt>\&.  
+If you wish to report a bug in APT, please see
+\fI/usr/share/doc/debian/bug-reporting.txt\fR or the \fBreportbug\fR(1) command.
+.SH "AUTHOR"
+.PP
+APT was written by the APT team <apt@packages.debian.org>\&.
diff --git a/doc/vendors.list.5 b/doc/vendors.list.5
new file mode 100644 (file)
index 0000000..9c513f7
--- /dev/null
@@ -0,0 +1,80 @@
+.\" This manpage has been automatically generated by docbook2man 
+.\" from a DocBook document.  This tool can be found at:
+.\" <http://shell.ipoline.com/~elmert/comp/docbook2X/> 
+.\" Please send any bug reports, improvements, comments, patches, 
+.\" etc. to Steve Cheng <steve@ggi-project.org>.
+.TH "VENDORS.LIST" "5" "29 May 2006" "" ""
+
+.SH NAME
+vendors.list \- Security key configuration for APT
+.SH "DESCRIPTION"
+.PP
+The package vendor list contains a list of all vendors
+from whom you wish to  authenticate  downloaded  packages.
+For each vendor listed, it must contain the corresponding
+PGP key fingerprint, so that  APT  can  perform  signature
+verification  of the release file and subsequent checking
+of the checksums of each  downloaded  package.
+To have authentication enabled, you must add the 
+vendor identification string  (see  below) enclosed in
+square braces to the sources.list line for all sites that mirror
+the repository provided by that vendor.
+.PP
+The format of this file is similar  to  the  one  used  by
+apt.conf.  It consists of an arbitrary number of blocks of
+vendors, where each block starts with a string telling the
+\fIkey_type\fR and the \fIvendor_id\fR\&.
+.PP
+Some vendors may have multiple blocks that define different
+security policies for their distributions. Debian for instance
+uses a different signing methodology for stable and unstable releases.
+.PP
+\fIkey_type\fR is the type of the check required.
+Currently, there is only one type available which is 
+simple-key\&.
+.PP
+\fIvendor_id\fR is the vendor identification string. It is an
+arbitrary string you must supply to uniquely identifify a
+vendor that's listed in this file.
+Example:
+.PP
+
+.nf
+   
+simple-key "joe"
+{
+   Fingerprint "0987AB4378FSD872343298787ACC";
+   Name "Joe Shmoe <joe@shmoe.com>";
+}                                                  
+.fi
+.SH "THE SIMPLE-KEY TYPE"
+.PP
+This type of verification is used when the vendor has a single
+secured key that must be used to sign the Release file. The
+following items should be present
+.TP
+\fBFingerprint\fR
+The PGP fingerprint for the key. The fingerprint should be
+expressed in the standard notion with or without spaces.
+The \fB--fingerprint\fR option for 
+\fBgpg\fR(1)
+will show the fingerprint for the selected keys(s).
+.TP
+\fBName\fR
+A string containing a description of the owner of
+the  key  or vendor.  You may put the vendor name and it's
+email. The string must be quoted with ".
+.SH "FILES"
+.PP
+\fI/etc/apt/vendors.list\fR
+.SH "SEE ALSO"
+.PP
+\fB\fIsources.list\fB\fR(5)
+.SH "BUGS"
+.PP
+See the APT bug page <URL:http://bugs.debian.org/src:apt>\&.  
+If you wish to report a bug in APT, please see
+\fI/usr/share/doc/debian/bug-reporting.txt\fR or the \fBreportbug\fR(1) command.
+.SH "AUTHOR"
+.PP
+APT was written by the APT team <apt@packages.debian.org>\&.